<template>
  <q-page>
    <div class="col-lg-4 col-md-6 col-sm-10 col-xs-10 q-my-xl not-found-h">
      <h2>Stránka nebyla nalezena</h2>
    </div>
    <canvas id="canvas404" />
  </q-page>
</template>

<script lang="ts">
import { onMounted } from '@vue/runtime-core'

import Anim404 from '@/animations/anim404'

export default {
  name: 'NotFound',

  setup (): void {
    onMounted(() => {
      const anim = new Anim404()
      anim.init()
      anim.initClick()
    })
  }
}

</script>
